@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Lexend+Deca:wght@100..900&family=Noto+Serif:ital,wght@0,100..900;1,100..900&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    background: linear-gradient(0deg, #ffa630 0%, #502a81 75%);
    color: #ffffff;
	font-family: "Lato", serif;
}

nav{
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: nowrap;
    background-color: #502a81;
    padding: 2em;
    height: 12vh;
}

nav a{
    font-size: 1.2rem;
}

.logo a{
    display: flex;
    justify-content: space-around;
    align-items: center;
    gap: 5px;
    color: #ffa630;
}

.menu ul{
    list-style-type: none;
}

.menu ul li{
    display: inline-block;
    margin-right: 1em;
}

.menu ul li:last-child{
    margin-right: 0px;
}

a{
    text-decoration: none;
    font-weight: bold;
    transition: 0.25s ease-in-out all;
    color: #ffffff;
}

a:hover{
    color: #ffa630;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 1);
}

a:active{
    color: #ff9100;
}

header{
    width: 100%;
    height: 88vh;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    font-size: 1.7rem;
    font-weight: bolder;
    color: #ffa630;
    background: rgba(0, 0, 0, 0.5);
    background-image: url(./img/hero-image.jpg);
    background-size: cover;
    background-position: center;
    text-align: center;
    text-shadow: 1px 1px 4px rgba(0, 0, 0, 1);
}

header h1{
    margin-bottom: 15px;
}

header button{
	cursor: pointer;
	background-color: #ffa630;
	color: #000;
	border: none;
	border-radius: 20px;
	padding: 0.75em 1.5em 0.75em 1.5em;
	margin: 1em 0em 1em 0em;
	font-size: 1.2rem;
	font-weight: 800;
	transition: 0.25s ease-in-out all;
	font-family: "Lexend Deca", serif;
}

header button:hover{
	transform: scale(1.05);
	-webkit-box-shadow: 0px 0px 70px 0px rgba(0, 0, 0, 1);
	-moz-box-shadow: 0px 0px 70px 0px rgba(0, 0, 0, 1);
	box-shadow: 0px 0px 70px 0px rgba(0, 0, 0, 1);
}

main{
    display: flex;
    flex-direction: column;
	
    width: 55%;
    margin: 1em auto 1em auto;
    padding: 1.5em;
	
    border-radius: 12.5px;
    background-color: #ffffff;
    color: black;
	
	font-family: "Noto Serif", serif;
	
    -webkit-box-shadow: 2px 2px 30px 0px rgba(0, 0, 0, 1);
    -moz-box-shadow: 2px 2px 30px 0px rgba(0, 0, 0, 1);
    box-shadow: 2px 2px 30px 0px rgba(0, 0, 0, 1);
}

main h1{
	color: #502a81;
	text-align: center;
}

ol, ul{
    list-style-position: inside;
}

main h2{
    text-align: left;
    margin-top: 1em;
    margin-bottom: 0.25em;
}

@media screen and (max-width: 1200px){
	main{
		width: 75%;
	}
}

@media screen and (max-width: 700px){
	nav .logo a h2{
		display: none;
	}
	main{
		width: 90%;
	}
}

@media screen and (max-width: 400px){
	main{
		width: 98%
	}
}